ru.yandex.clickhouse

## Class ClickhouseJdbcUrlParser

- java.lang.Object
- - ru.yandex.clickhouse.ClickhouseJdbcUrlParser

    public class ClickhouseJdbcUrlParser
    extends Object

### Field Summary

Fields
`static Pattern` `DB_PATH_PATTERN`
`protected static String` `DEFAULT_DATABASE`
`static String` `JDBC_CLICKHOUSE_PREFIX`
`static String` `JDBC_PREFIX`

### Method Summary

All Methods Static Methods Concrete Methods
`static ClickHouseProperties` `parse(String jdbcUrl, Properties defaults)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JDBC_PREFIX

    public static final String JDBC_PREFIX

See Also:
  Constant Field Values

#### JDBC_CLICKHOUSE_PREFIX

    public static final String JDBC_CLICKHOUSE_PREFIX

See Also:
  Constant Field Values

#### DB_PATH_PATTERN

    public static final Pattern DB_PATH_PATTERN

#### DEFAULT_DATABASE

    protected static final String DEFAULT_DATABASE

See Also:
  Constant Field Values

### Method Detail

#### parse

    public static ClickHouseProperties parse(String jdbcUrl,
                                             Properties defaults)
                                      throws URISyntaxException

Throws:
  `URISyntaxException`